Subject: Re: bug#17351: Trunk emacs splats .emacs.desktop at startup

From: Glenn Morris <[email-masked]>
Date: Sun, 22 Jun 2014 03:05:24 -0400

As a stopgap, how about disabling the autosave (with a warning, eg
"error loading desktop; automatic save disabled until next manual save")
if there were errors loading the desktop at startup?

More generally, why does the autosaving actually save directly into the
real desktop file? Why doesn't it use the normal autosave mechanism, ie
write to a #desktop# file? Naively, it seems like this would be both
simpler to implement and give better results.